#25789 closed defect (fixed)

doctor sends duplicate entries

Reported by: cypherpunks Owned by: atagar
Priority: Medium Milestone:
Component: Core Tor/DocTor Version:
Severity: Normal Keywords:
Cc: Actual Points:
Parent ID: Points:
Reviewer: Sponsor:

Description

example:
Message-Id: <20180412184911.7547610014B@…>
Date: Thu, 12 Apr 2018 18:49:11 +0000 (UTC)

The following relays are frequently changing their fingerprints...

* 84.114.15.5:9001 (platform: Tor 0.3.2.10 on FreeBSD, contact: None)
  4AD5F966518C2BEB3C1C1664EEAE6AFC0285AC79 at 2018-04-12 17:42:13
  19A0EF7537E056A7AB7F166934EF7EEEC9D1A188 at 2018-04-12 17:12:23
  DE3B978E7EE24A262510CCAE5FDB6D04ACF77D21 at 2018-04-11 14:38:49
  B321BC3DADD9872FC0D086D76553F19C42142ED5 at 2018-04-10 19:22:40
  40C65C63997B9C4AD3CCD0A80F863E78F070A860 at 2018-04-10 19:17:43
  6B971C179DA1D24F9D3341DA0D0246E06FC8789F at 2018-04-10 16:57:13
  2134C0E2307AC4D911A3BEBD1ED3E7A0EB34D95E at 2018-04-10 16:45:16
  0B8AFAAAF0183FB486B66ED165BC62F25B0674FF at 2018-04-09 13:29:38
  BEA27B321532BAEFD6C75693BDCBABAFADF92BA9 at 2018-04-09 13:24:29
  ... and 34 more since 2018-04-05 15:16:18

* 84.114.15.5:9001 (platform: Tor 0.3.2.10 on FreeBSD, contact: None)
  4AD5F966518C2BEB3C1C1664EEAE6AFC0285AC79 at 2018-04-12 17:42:13
  19A0EF7537E056A7AB7F166934EF7EEEC9D1A188 at 2018-04-12 17:12:23
  DE3B978E7EE24A262510CCAE5FDB6D04ACF77D21 at 2018-04-11 14:38:49
  B321BC3DADD9872FC0D086D76553F19C42142ED5 at 2018-04-10 19:22:40
  40C65C63997B9C4AD3CCD0A80F863E78F070A860 at 2018-04-10 19:17:43
  6B971C179DA1D24F9D3341DA0D0246E06FC8789F at 2018-04-10 16:57:13
  2134C0E2307AC4D911A3BEBD1ED3E7A0EB34D95E at 2018-04-10 16:45:16
  0B8AFAAAF0183FB486B66ED165BC62F25B0674FF at 2018-04-09 13:29:38
  BEA27B321532BAEFD6C75693BDCBABAFADF92BA9 at 2018-04-09 13:24:29
  ... and 34 more since 2018-04-05 15:16:18

Child Tickets

Change History (1)

comment:1 Changed 20 months ago by atagar

Resolution: fixed
Status: newclosed

Thanks cypherpunks! Applied a patch that should fix this...

https://gitweb.torproject.org/doctor.git/commit/?id=0e5010b

Note: See TracTickets for help on using tickets.